> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create webhook endpoint

> Creates a new webhook endpoint. The response includes the full HMAC signing secret (shown only on creation). See [webhook verification](https://docs.daimo.com/guides/webhooks#verify-signatures) for more information.



## OpenAPI

````yaml /openapi.json post /v1/webhooks
openapi: 3.1.0
info:
  title: Daimo API
  version: 1.0.0
  description: Create deposit sessions, manage payment methods, and check session status.
servers:
  - url: https://api.daimo.com
security: []
paths:
  /v1/webhooks:
    post:
      summary: Create webhook endpoint
      description: >-
        Creates a new webhook endpoint. The response includes the full HMAC
        signing secret (shown only on creation). See [webhook
        verification](https://docs.daimo.com/guides/webhooks#verify-signatures)
        for more information.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWebhookRequest'
      responses:
        '201':
          description: Webhook endpoint created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateWebhookResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V1ErrorResponse'
        '401':
          description: Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V1ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    CreateWebhookRequest:
      type: object
      properties:
        url:
          type: string
          format: uri
          description: HTTPS URL that will receive POST requests
          example: https://example.com/webhooks/daimo
        events:
          type: array
          items:
            type: string
            enum:
              - '*'
              - session.processing
              - session.succeeded
              - session.bounced
            description: Webhook event type (or * for all events)
            example: session.succeeded
          description: Event types to subscribe to. Defaults to ["*"].
        description:
          type: string
          description: Human-readable label for this endpoint
      required:
        - url
    CreateWebhookResponse:
      type: object
      properties:
        webhook:
          $ref: '#/components/schemas/Webhook'
      required:
        - webhook
    V1ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              description: Error category
              example: validation_error
            code:
              type: string
              description: Machine-readable error code
              example: invalid_parameter
            message:
              type: string
              description: Human-readable description
              example: invalid session create request
            param:
              type: string
              description: Parameter that caused the error
              example: body
          required:
            - type
            - code
            - message
      required:
        - error
    Webhook:
      type: object
      properties:
        id:
          type: string
          description: Webhook endpoint ID
        url:
          type: string
          format: uri
          description: Delivery URL
        events:
          type: array
          items:
            type: string
            enum:
              - '*'
              - session.processing
              - session.succeeded
              - session.bounced
            description: Webhook event type (or * for all events)
            example: session.succeeded
          description: Subscribed event types (["*"] for all)
        description:
          type:
            - string
            - 'null'
          description: Human-readable label
        secret:
          type: string
          description: HMAC signing secret (full on create, redacted on list/get)
        createdAt:
          type: number
          description: Unix timestamp (seconds)
          example: 1700000000
      required:
        - id
        - url
        - events
        - description
        - secret
        - createdAt
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key passed as a Bearer token

````